Module org.jfree.chart3d
Package org.jfree.chart3d.data.function

# Interface Function3D

All Superinterfaces:
  `Serializable`

public interface Function3D extends Serializable
Represents a function `y = f(x, z)`.
A dataset can be created by sampling a function - see the `XYZDatasetUtils.sampleFunction(Function3D, String, Range, double, Range, double)` method. In addition, any `Function3D` instance can be plotted by a `SurfaceRenderer`.

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue(double x, double z)`
Returns the value of the function ('y') for the specified inputs ('x' and 'z').

## Method Details

### getValue

double getValue(double x, double z)
Returns the value of the function ('y') for the specified inputs ('x' and 'z').

Parameters:
  `x` - the x-value.
  `z` - the z-value.
Returns:
  The function value.